- Home
- API Enriched
- Billing And Usage
- web
- List usage details.
List usage details.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/usage_details';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"from":"2026-04-15T12:00:00Z","namespace":"example","to":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/usage_details \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "from": "2026-04-15T12:00:00Z", "namespace": "example", "to": "2026-04-15T12:00:00Z" }'List usage details per tenant and namespace. Some usage have only sense in the system namespace and this selector has no effect on it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace to be considered.
Request Bodyrequired
Section titled “Request Bodyrequired”Request message to GET usage details.
object
Indicates the “from” part of the request.
Namespace to be considered.
Indicates the “to” part of the request.
Examplegenerated
{ "from": "2026-04-15T12:00:00Z", "namespace": "example", "to": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”A successful response.
Response message to GET usage details.
object
Collection of usage items, lines of response.
Usage item represents a line in a usage report, including quantity and resource incurring usage.
object
End of the time unit.
An array of HourlyItem with usage per hour. The sum of these items will result into the parent’s object quantity
Deprecated: use /hourly_usage_details along with hourly_breakdown_query.
One line of usage by an hour. One hour as the least resolution.
object
Container name if this item correspond to the container usage. Otherwise it’s empty.
[x-required] Deployment name if this item correspond to the container usage. Otherwise it’s empty.
End of the time unit.
Quantity incurred.
Beginning of the time unit.
Name of the quantity unit.
[x-required] A base64 encoded JSON which should be passed as is to /hourly_usage_details to GET hourly items for this aggregated usage.
[x-required] ID of the usage type. As Usage type is shown for user and is a subject of frequent changes, this metric_label should be static and should be usage for mapping between calculated usage and aggregated_usage.
Namespace where the usage occurred.
Name of the object where the usage occurred.
Quantity incurred.
Beginning of the time unit.
Name of the quantity unit.
Type of the resource.
Examplegenerated
{ "usage_items": [ { "end_timestamp": "2026-04-15T12:00:00Z", "hourly_breakdown": [ { "container": "example", "deployment": "example", "end_timestamp": "2026-04-15T12:00:00Z", "quantity": 1, "start_timestamp": "2026-04-15T12:00:00Z", "unit_name": "example" } ], "hourly_breakdown_query": "example", "metric_label": "example", "namespace": "example", "object_name": "example", "quantity": 1, "start_timestamp": "2026-04-15T12:00:00Z", "unit_name": "example", "usage_type": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example